.portfolio {
    padding-top: 8rem;
}

.portfolio-showcase {
    display: flex;
    flex-direction: column;
    gap: 100px;
    margin-block: 34vh;
}

.portfolio-info {
    opacity: 0;
    animation: fadeIn 0.5s ease forwards;
    animation-delay: 1s;
    max-width: 500px;

    @media ( min-width: 700px ) {
        max-width: 1000px;
    }
}

.article-portfolio {
    display: flex;
    align-items: center;
    position: relative;
    height: 100px;
    border: 5px solid var(--secondary-color-light);
    border-radius: 100px;
    animation: fadeInSideMobile 1s ease-out both;
    animation-timeline: view();
    animation-range: entry cover 20%;

    @media ( min-width: 360px ) {
        height: 150px;
        max-width: 1200px;
    }

    @media ( min-width: 700px ) {
        height: 200px;
        animation: fadeInSide 1s ease-out both;
        animation-timeline: view();
        animation-range: entry 60% cover 20%;    
    }

    @media ( min-width: 1000px ) {
        animation-range: entry 80% cover 40%;    
    }
}

@keyframes fadeInSideMobile {
    from {
        opacity: 0;
        transform: translateX(-300px);
      }
  
      to {
        opacity: 1;
        transform: translateX(0px);
      }
}
@keyframes fadeInSide {
    from {
      opacity: 0;
      margin-right: 60%;
    }

    to {
      opacity: 1;
      margin-right: unset;
    }
}

.portfolio-img-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100px;
    width: 100px;
    background-color: var(--white);
    border: 5px solid var(--secondary-color-light);
    border-radius: 100%;
    margin-left: -5px;

    @media ( min-width: 360px ) {
        height: 150px;
        width: 150px;
    }

    @media ( min-width: 700px ) {
        height: 200px;
        width: 200px;
        margin-left: -10px;
    }
}

.logo {
    width: 75px;

    @media ( min-width: 360px ) {
        width: 125px;
    }
}

.link-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    right: 8px;
    gap: 8px;

    @media ( min-width: 360px ) {
        gap: 16px;
    }
    
    @media ( min-width: 380px ) {
        right: 16px;
    }

    @media ( min-width: 700px ) {
        gap: 32px;
        right: 32px;
    }
}

.link-style {
    font-size: 1em;
    width: 150px;
    color: var(--main-color-normal);
    background-color: var(--secondary-color-light);
    text-align: center;
    text-decoration: none;
    transition: scale 0.2s ease;
    border-radius: 100px;

    @media ( min-width: 700px ) {
        padding-block: 4px;
    }
}

.link-style:hover, .link-style:focus  {
    scale: 1.1;
}
    
.link-style:nth-of-type(2) {
    margin-left: 50px;
}

.header-portfolio {
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    background-color: var(--main-color-normal);
    width: 3.75rem;
    height: 3.75rem;
    left: 20px;
    top: 20px;
}

#arrow-back {
    transition: scale 0.2s ease-out;
}

#arrow-back:hover {
    scale: 1.2;
}

.info-portfolio {
    padding-top: 8rem;
}

@keyframes fadeIn {

    to {
        opacity: 100%; 
    }
}